<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.view.dashboard.PersonSearchByActiveAndBlackListView" 
           table="PERSON_SEARCH_BY_ACTIVE_AND_BLACK_LIST_VIEW" 
           catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="36" />
        </id>
        <property name="name" type="string">
            <column name="person_name" length="103" />
        </property>
        <property name="active" type="java.lang.Boolean">
            <column name="active" sql-type="TINYINT" not-null="true"/>
        </property>
        <property name="blackList" column="black_list">
            <type name="org.hibernate.type.EnumType">
                <param name="enumClass">com.arrebol.taxiservicios.model.enums.GenericEnumType</param>
                <param name="useNamed">true</param>
            </type>
        </property>
        <property name="blackListDescription" type="string">
            <column name="black_list_description" length="500" />
        </property>
        <property name="lastUpdatedOn" type="timestamp">
            <column length="19" name="last_updated_on" />
        </property>
    </class>
</hibernate-mapping>